Summary: GNU arbitrary precision library
Name: gmp
Version: 2.0.2
Release: 5
URL: http://www.gnu.org
Source: ftp://prep.ai.mit.edu/pub/gnu/gmp-2.0.2.tar.gz
Patch0: gmp-2.0.2-1.shared.patch
Copyright: GPL 
Group: Libraries
BuildRoot: /var/tmp/gmp/

%description
This is the GNU arbitrary precision library.  Linking against it gives access
to functions for handling arbitrarily large numbers with either a high level or
a low level interface.

%package devel
Summary: GNU Arbitrary Precision header files, static libraries, and documentation.
Group: Libraries
PreReq: /sbin/install-info

%description devel
These are the static libraries, header files, and documentation for using the
GNU arbitrary precision library in your own programs.  With these, you can
create your own own programs that use this library.

%changelog

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>

- started with package from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support

%prep
%setup
./configure --target=i586-linux --prefix=${RPM_BUILD_ROOT}/usr
%patch0 -p1
%build
make CFLAGS="${RPM_OPT_FLAGS} -O99"

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib ${RPM_BUILD_ROOT}/usr/info \
         ${RPM_BUILD_ROOT}/usr/include

make CC="${RPM_OPT_FLAGS} -O99" install
gzip -9nf ${RPM_BUILD_ROOT}/usr/info/gmp.info*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post devel
/sbin/install-info /usr/info/gmp.info.gz /usr/info/dir > /dev/null 2>&1
exit 0

%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/gmp.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libgmp.so.2.0.2

%files devel
%doc SPEED
/usr/lib/libgmp.so
/usr/lib/libgmp.a
/usr/include/gmp.h
/usr/info/gmp.info*
